
$ErrorActionPreference = 'Stop';

$packageName= 'vidcutter'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/ozmartian/vidcutter/releases/download/5.5.0/VidCutter-5.5.0-setup-win32.exe'
$url64 		= 'https://github.com/ozmartian/vidcutter/releases/download/5.5.0/VidCutter-5.5.0-setup-win64.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'VidCutter'

  checksum      = '072d719108e0491c3ce3ccba044c7d6bcf70de18140e979cc819dd23f7992bbc'
  checksumType  = 'sha256'
  checksum64    = '4e0dcbd95ae537beeb3483b3c079a3c4b6161bc783dd4a33012c8203fbccc7fb'
  checksumType64= 'sha256'

  silentArgs    = "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
